//
//  DGViewController.m
//  Storyboards
//
//  Created by Mark Brindle on 05/01/2012.
//  Copyright (c) 2012 ARKEMM Software Limited. All rights reserved.
//

#import "DGViewController.h"
#import "Settings.h"
#import "SettingsViewController.h"

@interface DGViewController() {
  Settings *appSettings;
}

@end

@implementation DGViewController
@synthesize selectionState;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
  if ([[segue identifier] isEqualToString:@"Settings"]) {
    SettingsViewController *controller = [segue destinationViewController];
    [controller setBtSettings:appSettings];
  }
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
  [super viewDidLoad];
  appSettings = [[Settings alloc] init];
  [appSettings setBluetooth:YES];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setSelectionState:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
  return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)selectSettings:(id)sender {
  if ([selectionState selectedSegmentIndex] == 0) {
    [self performSegueWithIdentifier:@"Settings" sender:self];
  } else {
    [self performSegueWithIdentifier:@"fieryAccess" sender:self];
  }
}
@end
